# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6
inherit cmake-utils

DESCRIPTION="LXQt localisation package"
HOMEPAGE="https://lxqt.org/"

if [[ ${PV} = *9999* ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://github.com/lxqt/${PN}.git"
else
	SRC_URI="https://downloads.lxqt.org/downloads/${PN}/${PV}/${P}.tar.xz"
	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi

LICENSE="LGPL-2.1+"
SLOT="0"

RDEPEND=""
DEPEND="${RDEPEND}
	>=dev-util/lxqt-build-tools-0.4.0
	dev-qt/linguist-tools:5
"
src_configure() {
	local mycmakeargs=(
		# enable everything we have packages for
		-DWITH_LIBFM_QT=ON
		-DWITH_LIBLXQT=ON
		-DWITH_LXIMAGE_QT=ON
		-DWITH_LXQT_ABOUT=ON
		-DWITH_LXQT_ADMIN=ON
		-DWITH_LXQT_CONFIG=ON
		-DWITH_LXQT_GLOBALKEYS=ON
		-DWITH_LXQT_NOTIFICATIOND=ON
		-DWITH_LXQT_OPENSSH_ASKPASS=ON
		-DWITH_LXQT_PANEL=ON
		-DWITH_LXQT_POLICYKIT=ON
		-DWITH_LXQT_POWERMANAGEMENT=ON
		-DWITH_LXQT_RUNNER=ON
		-DWITH_LXQT_SESSION=ON
		-DWITH_LXQT_SUDO=ON
		-DWITH_OBCONF_QT=ON
		-DWITH_PAVUCONTROL_QT=ON
		-DWITH_PCMANFM_QT=ON
		-DWITH_QTERMINAL=ON
		-DWITH_QTERMWIDGET=ON

		-DWITH_COMPTON_CONF=OFF
	)
	cmake-utils_src_configure
}
